Bug 46332 - HTTP Cookie Manager ignores manually defined cookies
HTTP Cookie Manager ignores manually defined cookies
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
Nightly (Please specify date)
PC Mac OS X 10.4
: P2 major (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-12-03 07:59 UTC by Thomas Johnson
Modified: 2008-12-08 11:25 UTC (History)
0 users



Attachments
Test case with Cookie Manager and HTTP Sampler (5.57 KB, application/octet-stream)
2008-12-03 07:59 UTC, Thomas Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Johnson 2008-12-03 07:59:51 UTC
Created attachment 22986 [details]
Test case with Cookie Manager and HTTP Sampler

The HTTP Cookie Manager ignores cookies that have been manually defined in the UI, but cookies sent by the server are correctly honored.

After commenting out the call to clearCookies() in CookieManager.testStart() at line 448, cookies are sent again.

Affects trunk at r707810, nightly build r712398 (2008-11-08), and current trunk (r722907).
Does not affect trunk at r701738 (last change to CookieMananger before r707810).
Does not affect release 2.3.2


Steps to Reproduce: (see attached)
1-Create new test plan
2-Add a Thread Group
3-Add an HTTP Cookie Manager
4-Add a cookie (eg, name=mycookie, value=inedible, domain=www.google.ca, path=/, secure=no)
5-Add an HTTP Request (eg, server=www.google.ca, path=/)
6-Add a Results Tree
7-Run test

Expected Results:
 - In results tree, under Request tab, "mycookie=inedible" is present in Cookie Data
Actual Results:
 - "[no cookies]"
Comment 1 Sebb 2008-12-08 11:25:48 UTC
Thanks for the detailed report.

Fixed in:

URL: http://svn.apache.org/viewvc?rev=724454&view=rev
Log:
Bug 46332 - HTTP Cookie Manager ignores manually defined cookies (bug introduced in r707810)